org.richfaces.resource.optimizer.resource.handler.impl

## Class DynamicResourceWrapper

- java.lang.Object
- - javax.faces.application.ViewResource
  - - javax.faces.application.Resource
    - - org.richfaces.resource.optimizer.resource.handler.impl.DynamicResourceWrapper

-     public class DynamicResourceWrapper
      extends javax.faces.application.Resource

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class javax.faces.application.Resource

      `COMPONENT_RESOURCE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicResourceWrapper(javax.faces.application.Resource resource)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentType()`
    `InputStream` | `getInputStream()`
    `String` | `getLibraryName()`
    `String` | `getRequestPath()`
    `protected String` | `getResourceExtension()`
    `String` | `getResourceName()`
    `Map<String,String>` | `getResponseHeaders()`
    `URL` | `getURL()`
    `void` | `setContentType(String contentType)`
    `void` | `setLibraryName(String libraryName)`
    `void` | `setResourceName(String resourceName)`
    `boolean` | `userAgentNeedsUpdate(javax.faces.context.FacesContext context)`

    - ### Methods inherited from class javax.faces.application.Resource

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicResourceWrapper

          public DynamicResourceWrapper(javax.faces.application.Resource resource)

  - ### Method Detail

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Specified by:
        `getInputStream` in class `javax.faces.application.Resource`
      Throws:
        `IOException`

    - #### getContentType

          public String getContentType()

      Overrides:
        `getContentType` in class `javax.faces.application.Resource`

    - #### setContentType

          public void setContentType(String contentType)

      Overrides:
        `setContentType` in class `javax.faces.application.Resource`

    - #### getLibraryName

          public String getLibraryName()

      Overrides:
        `getLibraryName` in class `javax.faces.application.Resource`

    - #### setLibraryName

          public void setLibraryName(String libraryName)

      Overrides:
        `setLibraryName` in class `javax.faces.application.Resource`

    - #### getResourceName

          public String getResourceName()

      Overrides:
        `getResourceName` in class `javax.faces.application.Resource`

    - #### setResourceName

          public void setResourceName(String resourceName)

      Overrides:
        `setResourceName` in class `javax.faces.application.Resource`

    - #### getResponseHeaders

          public Map<String,String> getResponseHeaders()

      Specified by:
        `getResponseHeaders` in class `javax.faces.application.Resource`

    - #### getRequestPath

          public String getRequestPath()

      Specified by:
        `getRequestPath` in class `javax.faces.application.Resource`

    - #### getURL

          public URL getURL()

      Specified by:
        `getURL` in class `javax.faces.application.Resource`

    - #### userAgentNeedsUpdate

          public boolean userAgentNeedsUpdate(javax.faces.context.FacesContext context)

      Specified by:
        `userAgentNeedsUpdate` in class `javax.faces.application.Resource`

    - #### getResourceExtension

          protected String getResourceExtension()

Copyright © 2014 JBoss by Red Hat. All rights reserved.